Skip to main content
POST
Query trace spans

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

trace_id
string
required

Trace ID.

Body

application/json
fields
enum<string>[]
required
Minimum array length: 1
Available options:
trace_id,
otel_span_id,
parent_otel_span_id,
name,
kind,
start_time_ns,
end_time_ns,
duration_ms,
status_code,
status_description,
input_tokens,
output_tokens,
model_name,
tps,
attributes,
events
context
string[]
Allowed value: "preceding_generation"
limit
integer
Required range: 1 <= x <= 500
cursor
string
Required string length: 1 - 16384
tool_name
string
query
string
Required string length: 1 - 4096
status_code
enum<string>
Available options:
OK,
ERROR,
UNSET

Response

Span query page

spans
object[]
required
next_request
object | null
required